# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name blaze-markup

%global common_summary A blazingly fast markup combinator library for Haskell

%global common_description Core modules of a blazingly fast markup combinator library for\
the Haskell programming language. The Text.Blaze module is a good starting\
point, as well as this tutorial: <http://jaspervdj.be/blaze/tutorial.html>.

Name:           ghc-%{pkg_name}
Version:        0.5.1.1
Release:        3%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-text-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 19 2012 Jens Petersen <petersen@redhat.com> - 0.5.1.1-2
- update with cabal-rpm-0.6.5

* Thu Oct 25 2012 Jens Petersen <petersen@redhat.com> - 0.5.1.1-1
- update to 0.5.1.1

* Mon Sep 10 2012 Jens Petersen <petersen@redhat.com> - 0.5.1.0-1
- improve description format

* Mon Sep 10 2012 Fedora Haskell SIG <haskell@lists.fedoraproject.org>
- spec file generated by cabal-rpm-0.6.2
